aboutsummaryrefslogtreecommitdiffstats
path: root/meta-oe/recipes-support/libssh/libssh/run-ptest
diff options
context:
space:
mode:
Diffstat (limited to 'meta-oe/recipes-support/libssh/libssh/run-ptest')
-rw-r--r--meta-oe/recipes-support/libssh/libssh/run-ptest53
1 files changed, 53 insertions, 0 deletions
diff --git a/meta-oe/recipes-support/libssh/libssh/run-ptest b/meta-oe/recipes-support/libssh/libssh/run-ptest
new file mode 100644
index 0000000000..159994e9bb
--- /dev/null
+++ b/meta-oe/recipes-support/libssh/libssh/run-ptest
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# Valid tests to run
+tests="torture_bind_config \
+ torture_buffer \
+ torture_bytearray \
+ torture_callbacks \
+ torture_channel \
+ torture_config \
+ torture_crypto \
+ torture_hashes \
+ torture_init \
+ torture_isipaddr \
+ torture_keyfiles \
+ torture_knownhosts_parsing \
+ torture_list \
+ torture_misc \
+ torture_moduli \
+ torture_options \
+ torture_packet \
+ torture_packet_filter \
+ torture_pki \
+ torture_pki_ecdsa \
+ torture_pki_ed25519 \
+ torture_pki_rsa \
+ torture_push_pop_dir \
+ torture_rand \
+ torture_session_keys \
+ torture_temp_dir \
+ torture_temp_file \
+ torture_threads_buffer \
+ torture_threads_crypto \
+ torture_threads_init \
+ torture_threads_pki_rsa \
+ torture_tokens \
+ "
+
+ptestdir=$(dirname "$(readlink -f "$0")")
+cd "$ptestdir"/tests || exit
+
+# Run specified tests
+for f in $tests
+do
+ if test -e ./"$f"; then
+ if ./"$f" > ./"$f".out 2> ./"$f".err; then
+ echo "PASS: $f"
+ else
+ echo "FAIL: $f"
+ fi
+ else
+ echo "SKIP: $f"
+ fi
+done